<template>
  <tr>
    <td>
      {{person.firstName}}
    </td>
    <td>
      {{person.lastName}}
    </td>
    <td>
      {{age}}
    </td>
    <td>
      <button type="button" @click="changeAge">Alter ändern</button>
    </td>
  </tr>
</template>

<script setup>
import {computed} from "vue";

//defineProps(['person'])
const props = defineProps({
  person: {
    required: true,
    type: Object
  },
  highlight: {
    type: Boolean
  }
})

const emit = defineEmits(['changeBirthYear'])

//const age = computed(() => new Date().getFullYear() - props.person.birthYear)

const age = computed({
  get() {
    return new Date().getFullYear() - props.person.birthYear
  },
  set(newAge) {
    emit('changeBirthYear', new Date().getFullYear() - newAge)
  }
})

function changeAge() {
  const newAge = parseInt(prompt('Gib das neue Alter ein'))
  age.value = newAge
}
</script>
